Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create an external storage configuration

admin.organization.external_storage.create(**kwargs) -> ExternalStorageConfiguration { id, created_at, geography, 4 more }
POST
/organization/external_storage

Register one customer-managed external storage configuration.

Parameters
project_id: String
provider: Aws{ bucket, role_arn, type} | Azure{ account_name, container, resource_group, 3 more} | Gcp{ bucket, type, workload_identity_pool_id, 2 more} | Oci{ bucket, region, tenancy_ocid, type}
Returns
class ExternalStorageConfiguration { id, created_at, geography, 4 more }
id: String
created_at: Integer
formatunixtime
geography: String
object: :"organization.external_storage"
project_id: String
provider: AwsExternalStorageProvider { account_id, bucket, external_id, 3 more } | AzureExternalStorageProvider { account_name, container, region, 4 more } | GcpExternalStorageProvider { audience, bucket, region, 4 more } | OciExternalStorageProvider { bucket, region, tenancy_ocid, type }
status: :pending | :validated | :degraded | :unhealthy

Create an external storage configuration

require "openai"

openai = OpenAI::Client.new(admin_api_key: "My Admin API Key")

external_storage_configuration = openai.admin.organization.external_storage.create(
  project_id: "proj_123",
  provider: {bucket: "bucket", role_arn: "role_arn", type: :aws}
)

puts(external_storage_configuration)
200 — Example
{
  "id": "id",
  "created_at": 0,
  "geography": "geography",
  "object": "organization.external_storage",
  "project_id": "project_id",
  "provider": {
    "account_id": "account_id",
    "bucket": "bucket",
    "external_id": "external_id",
    "region": "region",
    "role_arn": "role_arn",
    "type": "aws"
  },
  "status": "pending"
}
Returns Examples
200 — Example
{
  "id": "id",
  "created_at": 0,
  "geography": "geography",
  "object": "organization.external_storage",
  "project_id": "project_id",
  "provider": {
    "account_id": "account_id",
    "bucket": "bucket",
    "external_id": "external_id",
    "region": "region",
    "role_arn": "role_arn",
    "type": "aws"
  },
  "status": "pending"
}